felix-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Carlos Sanchez" <car...@apache.org>
Subject Version resolution and optional package imports
Date Thu, 06 Sep 2007 17:39:04 GMT
I have a couple of concept questions for improvements to the bundle
plugin manifest generation

* Version resolution
Let's say bundle A exports a package with version 2.0, and bundle B
imports that package version 1.0

When B is started, will it fail because A 1.0 is not present?
Is the same behavior for Require-Bundle and Import-Package ?
I guess if B imports [1.0,) then it'd work

* Optional packages
If a bundle imports packages from several bundles A,B,C... but only
one is required at runtime, will it work? or should it explicitly say
that they are optional (resolution:=optional) ?
ie. commons-logging imports log4j, java logging,... but only on will
likely be present at runtime
https://svn.apache.org/repos/asf/felix/trunk/commons/commons-logging/pom.xml

Thanks

-- 
I could give you my word as a Spaniard.
No good. I've known too many Spaniards.
                             -- The Princess Bride

Mime
View raw message